package covergen

import "github.com/go-pdf/fpdf"

type Color struct {
	R uint8
	G uint8
	B uint8
}

func (c Color) Text(pdf *fpdf.Fpdf) {
	pdf.SetTextColor(int(c.R), int(c.G), int(c.B))
}

func (c Color) Draw(pdf *fpdf.Fpdf) {
	pdf.SetDrawColor(int(c.R), int(c.G), int(c.B))
}

func (c Color) Fill(pdf *fpdf.Fpdf) {
	pdf.SetFillColor(int(c.R), int(c.G), int(c.B))
}
